import Image from "next/image";
import { useTranslations } from "next-intl";

import { emailMarketingCompV1Images } from "@/shared/constants/images";
import { translatePathEmailMarketingCompatibilityV1 } from "@/shared/constants/translate";

import { TextWithEmoji } from "..";

import styles from "./InsightsRelationship.module.scss";

export default function InsightsRelationship() {
  const t = useTranslations(
    translatePathEmailMarketingCompatibilityV1("Landing")
  );

  return (
    <div className={styles.container}>
      <TextWithEmoji
        text={t("relationship-patterns-insights")}
        emoji="yellow-heart.svg"
        color="white"
      />
      <Image
        className={styles.image}
        src={emailMarketingCompV1Images("relationships.svg")}
        alt="relationships"
        width={341}
        height={291}
      />
    </div>
  );
}
